summary     	: hp High Performance ILO2 Mouse X Driver for Linux 
name        	: hpmouse 
Version		: 1.2.1
Release		: 1
group       	: X/Application
source		: hpmouse.tar.gz 
license   	: 2006 Hewlett-Packard Development Company, L.P. 
#license   	: 2005 I.D.E.A.L. Technology Corporation 
packager    	: Hewlett-Packard Company
vendor		: Hewlett-Packard Company
url         	: http://www.hp.com/linux
buildroot   	: /var/tmp/%{name}
Prefix		: /opt/hp 
icon		: hprpm.xpm
autoreqprov	: no
prereq		: /bin/sh, /bin/bash 

%description
This package provides Linux/Xwindows support for the High Performance Remote Console mouse for HP Proliant system with the ILO2 management processor. This package is derived from the generic event device input driver for Xfree86/Xorg.

%prep
%setup -n hpmouse

%build
make clean


%install
if [ $RPM_BUILD_ROOT != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/opt/hp/hpmouse
cp -a * $RPM_BUILD_ROOT/opt/hp/hpmouse

%pre
sync

%post
sync

#
# Display EULA for Source Modules
#
echo "Please read the Licence Agreement for this software at"
echo 
echo "         /opt/hp/hpmouse/license"
echo 
echo "By not removing this package, you are accepting the terms"
echo "of the \"HP Proliant Essentials Software End User License Agreement\"."

#This gives us a chance to override EVs etc.
if [ -f /etc/hpmouserc ]; then
	source /etc/hpmouserc
fi

HPMOUSESILENT=$(echo $HPMOUSESILENT | tr '[:lower:]' '[:upper:]')
if [ "${HPMOUSESILENT}" = "YES" ]; then
   cd /opt/hp/hpmouse
   sh ./hpmouse activate
else
   echo -e "\n"
   echo -e "**********  NOTICE *************"
   echo "Please follow the steps below to configure this system."
   echo "cd /opt/hp/hpmouse"
   echo "Run \"sh ./hpmouse activate\" to configure X."
   echo "The X server must be restarted for the changes to take effect."
   echo "See /opt/hp/hpmouse/hpmouse-README for details"
fi

%preun
sync
   #remove the driver and util and remove entries in X conf file
   sh /opt/hp/hpmouse/hpmouse deactivate >/dev/null

%postun
sync

%clean
rm -fR $RPM_BUILD_ROOT

%files 
%defattr(644,root,root)
/opt/hp/hpmouse
%changelog
* Fri Dec 18 2009 HP Linux Development <Linux_SWdeliverables@external.groups.hp.com> 8.4.0
- 8.4.0 release (Severity: Medium)
- ENHANCEMENTS
- Added support for Integrated Lights-Out 3.
